package org.dive4elements.river.jfree;

import org.jfree.data.xy.XYSeries;

public class GapInserter {

    private XYSeries series;
    private double   gap;
    private double   lastX;

    public GapInserter() {
    }

    public GapInserter(XYSeries series, double gap) {
        lastX = Double.NaN;
        this.series = series;
        this.gap = Math.abs(gap);
    }

    public void add(double x, double y) {
        if (!Double.isNaN(lastX) && !Double.isNaN(x) && Math.abs(x - lastX) > gap) {
            series.add((x + lastX)/2.0, Double.NaN, false);
        }
        series.add(x, y, false);
        lastX = x;
    }
}
